# BaseRegion Class Reference

`#include <BaseRegion.hh>`

Inheritance diagram for BaseRegion:

[legend]

List of all members.

## Public Member Functions
| BaseRegion (RegionHandle)
virtual | ~BaseRegion ()
virtual ULong | getRangeLowerBound (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBound (ExtentIndex, DimensionHandle) const throw (ArrayIndexOutOfBounds)
virtual void | setRangeLowerBound (ExtentIndex, DimensionHandle, ULong) throw (ArrayIndexOutOfBounds)
virtual void | setRangeUpperBound (ExtentIndex, DimensionHandle, ULong) throw (ArrayIndexOutOfBounds)
virtual ULong | getNumberOfExtents () const throw ()
virtual SpaceHandle | getSpaceHandle () const =0 throw ()
const std::vector< Extent > & | getExtents () const
| Get the region's extents.
void | replaceExtents (const std::vector< Extent > &) throw (InvalidExtents)
bool | overlaps (const BaseRegion &region) const
| Check if regions overlap.
## Protected Member Functions
void | setExtents (const std::vector< Extent > &)
## Protected Attributes
std::vector< Extent > | extents

## Detailed Description

Definition at line 37 of file BaseRegion.hh.

## Constructor & Destructor Documentation

BaseRegion | ( | RegionHandle | h | ) |

Definition at line 33 of file BaseRegion.cc.

~BaseRegion | ( |  | ) | `[virtual]`

Definition at line 39 of file BaseRegion.cc.

## Member Function Documentation

ULong getRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented in FedRegion.

Definition at line 53 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::getRangeLowerBound().

ULong getRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented in FedRegion.

Definition at line 67 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::getRangeUpperBound().

void setRangeLowerBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented in FedRegion.

Definition at line 81 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::setRangeLowerBound().

void setRangeUpperBound | ( | ExtentIndex | index,
|  | DimensionHandle | dimension,
|  | ULong | val |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[virtual]`

Reimplemented in FedRegion.

Definition at line 96 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::setRangeUpperBound().

ULong getNumberOfExtents | ( |  | ) | const throw ()`[virtual]`

Reimplemented in FedRegion.

Definition at line 45 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by RootObject::createRegion(), DataDistribution::createRegion(), FedRegion::getNumberOfExtents(), and BaseRegion::overlaps().

virtual SpaceHandle getSpaceHandle | ( |  | ) | const throw ()`[pure virtual]`

Implemented in FedRegion, and RTIRegion.

Referenced by BaseRegion::overlaps().

const vector< Extent > & getExtents | ( |  | ) | const

Get the region's extents.

Returns:
  The extents, as a vector

Definition at line 114 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by RTI::RTIambassador::notifyAboutRegionModification().

void replaceExtents | ( | const std::vector< Extent > & | e | ) | throw (InvalidExtents)

Definition at line 129 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::commit(), RootObject::modifyRegion(), and DataDistribution::modifyRegion().

bool overlaps | ( | const BaseRegion & | region | ) | const

Check if regions overlap.

Definition at line 142 of file BaseRegion.cc.

References BaseRegion::extents, BaseRegion::getNumberOfExtents(), and BaseRegion::getSpaceHandle().

Referenced by Subscriber::match().

Here is the call graph for this function:

void setExtents | ( | const std::vector< Extent > & | e | ) | `[protected]`

Definition at line 121 of file BaseRegion.cc.

References BaseRegion::extents.

Referenced by FedRegion::FedRegion(), and RTIRegion::RTIRegion().

## Member Data Documentation

std::vector<Extent> extents`[protected]`

Definition at line 68 of file BaseRegion.hh.

Referenced by BaseRegion::getExtents(), BaseRegion::getNumberOfExtents(), BaseRegion::getRangeLowerBound(), BaseRegion::getRangeUpperBound(), BaseRegion::overlaps(), BaseRegion::replaceExtents(), BaseRegion::setExtents(), BaseRegion::setRangeLowerBound(), and BaseRegion::setRangeUpperBound().

The documentation for this class was generated from the following files:

- BaseRegion.hh
- BaseRegion.cc